Kubernetes
action Service

# delete_service

Remove a service

Run it now
View details

Type | action
Module | chaosk8s.service.actions
Name | delete_service
Return | None

Usage

JSON

    {
      "name": "terminate-pods",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.pod.actions",
        "func": "terminate_pods"
      }
    }

YAML

    name: terminate-pods
    provider:
      func: terminate_pods
      module: chaosk8s.pod.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
ns | string | ”default” | Yes | Namespace |
name | string |  | Yes | Service Name |

Signature

    def delete_service(name: str,
                       ns: str = 'default',
                       secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  action Service

  ## `create_service_endpoint`

  Create a service endpoint
- Kubernetes
  probe Service

  ## `service_is_initialized`

  Check if a service is initialized
- Kubernetes
  action Network

  ## `add_latency`

  Add latency to a network link of a Pod